Document collaboration

List document suggestions in a discussion plan

GET
/v1/documents/{documentId}/suggestions

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

Query Parameters

cursor?string

Opaque cursor returned by the preceding page.

discussionPlanId?string

Plan using this document.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/documents/string/suggestions"
{  "suggestions": [    {      "id": "string",      "threadId": "string",      "documentId": "string",      "state": "PENDING",      "version": 0,      "proposal": {        "mode": "native",        "operation": "insert",        "baseRevision": "string",        "sourceRevision": null,        "destinationRevision": "string",        "start": 0,        "end": 0,        "original": "string",        "proposed": "string"      },      "authorUserId": "string",      "predecessorId": "string",      "decidedAt": "string",      "decidedBy": "string",      "acceptedRevision": "string",      "freshness": "current",      "capabilities": {        "canRevise": true,        "canRefresh": true,        "canAccept": true,        "canReject": true,        "canWithdraw": true,        "canMarkAppliedExternally": true      }    }  ],  "nextCursor": "string"}